{% extends 'base_jinja.html' %}
{% block title %} Personal {% endblock title %}

{% block stylesheets %}
    {{ super() }}
    <!-- DataTables -->
    <link rel="stylesheet" href="{{ static('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ static('bower_components/datatables.net-responsive-bs/css/responsive.bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ static('bower_components/datatables.net-buttons-bs/css/buttons.bootstrap.min.css') }}">
    <style>
        .mytex {
            min-width: 80px !important;
        }
        span {
            display: inline-block;
        }
    </style>
{% endblock stylesheets %}

{% block content %}
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Recursos Humanos
                <small>Personal </small>
            </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            {% if get_messages(request) %}
                
                <div class="modal fade" id="modal-default">
                
                    <div class="modal-dialog">
                        <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span></button>
                            <h4 class="modal-title">Mensajería</h4>
                        </div>
                        <div class="modal-body">
                                {% for message in get_messages(request) %}
                                    <div class="alert alert-{{ message.tags }} alert-dismissible">
                                        <!-- <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> -->
                                        {% if message.tags == 'error' %}
                                            <h4><i class="icon fa fa-ban"></i> ¡Alerta!</h4>
                                        {% elif message.tags == 'warning' %}
                                            <h4><i class="icon fa fa-warning"></i> ¡Cuidado!</h4>
                                        {% elif message.tags == 'success' %}
                                            <h4><i class="icon fa fa-check"></i> ¡Exito!</h4>
                                        {% elif message.tags == 'info' %}
                                            <h4><i class="icon fa fa-info"></i> ¡Atención!</h4>
                                        {% endif %}
                                        {{ message }}
                                    </div>
                                {% endfor %}
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                        </div>
                        </div>
                        <!-- /.modal-content -->
                    </div>
                    <!-- /.modal-dialog -->
                </div>
            {% endif %}

            <div class="row">
                <div class="col-md-12">
                    <div class="box box-info">
                        <div class="box-header">
                            <!-- <button onclick="" type="button" class="btn btn-success btn pull-right">Agregar Tipo IEU</button> -->
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table id="example" class="table table-striped table-bordered dt-responsive nowrap" style="width:100%">
                                <thead>
                                    <tr>
                                        
                                        <th class="text-center" colspan="7">
                                            <select id="cod_act" name="cod_act" class="form-control">
                                                <option value="todos">Todos</option>
                                                <option value="RRHH">RRHH</option>
                                                <option value="Fiscales">Fiscales</option>
                                                <option value="Analistas">Analistas</option>
                                                
                                            </select> 
                                        </th>
                                    </tr>
                                    <tr>
                                        <th>Nombre y Apellido</th>
                                        <th class="text-center">Cedula</th>
                                        <th class="text-center">Email</th>
                                        <th class="text-center">Telefono</th>
                                        <th class="text-center">Móvil</th>
                                        <th class="text-center">Status</th>

                                        <th class="text-center">Acciones</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {% for persona in personal %}
                                        <tr>
                                            <td class="text-left"> {{ persona.get_short_name.upper() }}</td>
                                            <td class="text-center">{{ persona.letra_cedula_identidad }} - {{ persona.cedula_identidad|intcomma }} </td>
                                            
                                            <td class="text-center">{{ persona.email|default('') }} </td>
                                            <td class="text-center">{{ persona.telefono|default('') }}</td>
                                            <td class="text-center">{{ persona.celular|default('') }} </td>
                                            <td class="text-center">
                                                {% if persona.is_active == True %}
                                                <span class="label label-primary">Activo</span>&nbsp;
                                               
                                                {% else %}
                                                <span class="label label-danger">Inactivo</span>&nbsp;
                                                
                                                {% endif %}
                                            </td>
                                            <td class="text-center">
                                                <a data-toggle="tooltip" title="Detalle del perfil de este emplead@" onclick="return abrir_modal('{{ url('cuenta:perfil_detalle', args=[persona.pk]) }}')" class="btn btn-default btn-xs"><span class="fa fa-eye"></span></a>
                                                {% if 'RRHH' is in_user_group(request.user) %}
                                                <a data-toggle="tooltip" title="Editar perfil de este emplead@" href="{{ url ('cuenta:perfil_persona', args=[persona.pk] )}}" class="btn btn-primary btn-xs"><span class="fa fa-edit"></span></a>
                                                {% endif %}
                                                <a data-toggle="tooltip" title="Eliminar este emplead@" onclick="return abrir_modal('{{ url('cuenta:perfil_delete', args=[persona.pk]) }}')"  class="btn btn-danger btn-xs"><span class="glyphicon glyphicon-trash"></span></a>
                                            </td>
                                        </tr>
                                    {% endfor %}
                                </tbody>
                            </table>
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
            </div>
                <!-- /.row -->

              </section>
        <!-- /.content -->
        <div id="popup" class="modal fade" role="dialog"></div>
    </div>
    <!-- /.content-wrapper -->
{% endblock content %}

{% block javascripts %}
    {{ super() }}
    <!-- DataTables -->
    <script src="{{ static('bower_components/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-responsive/js/dataTables.responsive.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-responsive-bs/js/responsive.bootstrap.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/dataTables.buttons.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons-bs/js/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ static('bower_components/jszip/dist/jszip.min.js') }}"></script>
    <script src="{{ static('bower_components/pdfmake/build/pdfmake.min.js') }}"></script>
    <script src="{{ static('bower_components/pdfmake/build/vfs_fonts.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/buttons.html5.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/buttons.print.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/buttons.colVis.min.js') }}"></script>
    <!-- page script -->
    <script>
        function abrir_modal(url) {
            $('#popup').load(url, function () {
                $(this).modal('show');
            });
            return false;
        }

        $(function () {
            $('#modal-default').modal('show');
        });
        
        $.fn.dataTable.ext.search.push(
            function( settings, data, dataIndex ) {
                var cod_act = $('#cod_act').val();
                var codigo = data[2];
        
                if (( cod_act == codigo ) || ( cod_act == 'todos') )
                {
                    return true;
                }
                return false;
            }
        );
 
        $(document).ready(function() {
            var table = $('#example').DataTable({
                lengthChange: true,
                columnDefs: [
                    { "targets": 3, "orderable": false },
                    { "targets": [3], "searchable": false },
                ],
                language: {
                    lengthMenu: "Mostrar _MENU_ registros por página",
                    zeroRecords: "Lo sentimos, no encontramos nada",
                    info: "Mostrando la página _PAGE_ de _PAGES_",
                    infoEmpty: "Sin registros disponibles",
                    infoFiltered: "(Filtrados de untotal de _MAX_ registros)",
                    search: "Buscar: ",
                    paginate: {
                        first: "Primero",
                        last: "Último",
                        next: "Siguiente",
                        previous: "Previo"
                    },
                    buttons: {
                        copy: "Copiar"
                    },
                    decimal: "-",
                    thousands: "."
                },
                buttons: ['copy', 'csv', 'pdf']
            });

            table.buttons().container()
                .appendTo('#example_wrapper .col-sm-6:eq(0)');

            
            // Event listener to the two range filtering inputs to redraw on input
            $('#cod_act').change( function() {
                table.draw();
            } );

            
        });
        
    </script>
{% endblock javascripts %}